LINUX.ORG.RU

fontconfig Regenerating fonts cache... failed.


0

2

Ахтунг! тревога! в дебиане тестинге fontconfig связан насмерть со всеми другими пакетами! умер fontconfig - умерла система (точнее не обновляется во всяком случае). переставлять пакет пробовал - не помогает логи пустые cat fontconfig.log Segmentation fault

aptitude safe-upgrade Следующие частично установленные пакеты будут настроены: flashplugin-nonfree fontconfig gir1.2-pango-1.0 gnome-packagekit gnome-packagekit-session gnumeric gstreamer1.0-plugins-bad hplip iceweasel kdegraphics-mobipocket libavogadro1 libgoffice-0.10-10 libmediastreamer-base3 libokularcore3 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-features2d2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-objdetect2.4 libopencv-video2.4 libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0 libphonon4 libpoppler-qt4-3 libprojectm2 libpython3.3 libqt4-declarative libqt4-designer libqt4-help libqt4-opengl libqt4-qt3support libqt4-scripttools libqt4-svg libqtgui4 libqtruby4shared2 libreoffice-base-core libreoffice-calc libreoffice-core libreoffice-draw libreoffice-gnome libreoffice-gtk libreoffice-impress libreoffice-math libreoffice-writer libsmokekdeui4-3 libsmokekfile3 libsmokekhtml3 libsmokekio3 libsmokeknewstuff2-3 libsmokeknewstuff3-3 libsmokekparts3 libsmokektexteditor3 libsmokekutils3 libsmokenepomuk3 libsmokeplasma3 libwebkit2gtk-3.0-25 libwebkitgtk-1.0-0 libwebkitgtk-3.0-0 okular phonon phonon-backend-vlc pinentry-gtk2 printer-driver-hpcups printer-driver-postscript-hp python-avogadro python-uno python3.3 qpdf ruby-kde4 ruby-phonon ruby-plasma ruby-qt4 ruby-qt4-script ruby-qt4-test ruby-qt4-uitools ruby-qt4-webkit vlc Ни одного пакета не будет установлено, обновлено или удалено. 0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено. Необходимо получить 0 B архивов. После распаковки 0 B будет занято.

Настраивается пакет fontconfig (2.11.0-2) … Regenerating fonts cache... failed. See /var/log/fontconfig.log for more information. dpkg: error processing package fontconfig (--configure): подпроцесс установлен сценарий post-installation возвратил код ошибки 1 dpkg: зависимости пакетов не позволяют настроить пакет libpango-1.0-0:amd64: libpango-1.0-0:amd64 зависит от fontconfig (>= 2.1.91), однако: Пакет fontconfig пока не настроен.

dpkg: error processing package libpango-1.0-0:amd64 (--configure): проблемы зависимостей — оставляем не настроенным dpkg: зависимости пакетов не позволяют настроить пакет libpangoft2-1.0-0:amd64: libpangoft2-1.0-0:amd64 зависит от libpango-1.0-0 (>= 1.36.0), однако: Пакет libpango-1.0-0:amd64 пока не настроен.

dpkg: error processing package libsmokekfile3 (--configure): проблемы зависимостей — оставляем не настроенным dpkg: слишком много ошибок — останавливаемся Processing triggers for libc-bin (2.17-97) ... При обработке следующих пакетов произошли ошибки: fontconfig libpango-1.0-0:amd64 libpangoft2-1.0-0:amd64 libpangocairo-1.0-0:amd64 libgoffice-0.10-10 gnumeric libopencv-highgui2.4:amd64 libopencv-features2d2.4:amd64 libopencv-calib3d2.4:amd64 libopencv-objdetect2.4:amd64 libopencv-contrib2.4:amd64 libopencv-legacy2.4:amd64 libpangoxft-1.0-0:amd64 libqtgui4:amd64 libphonon4:amd64 libpoppler-qt4-3:amd64 libqt4-declarative:amd64 libqt4-designer:amd64 libqt4-help:amd64 libqt4-opengl:amd64 libqt4-qt3support:amd64 libqt4-scripttools:amd64 libqt4-svg:amd64 libwebkit2gtk-3.0-25:amd64 libwebkitgtk-1.0-0:amd64 libwebkitgtk-3.0-0:amd64 phonon-backend-vlc:amd64 gstreamer1.0-plugins-bad:amd64 libpango1.0-0:amd64 flashplugin-nonfree gir1.2-pango-1.0 gnome-packagekit-session gnome-packagekit iceweasel phonon:amd64 libokularcore3 kdegraphics-mobipocket libavogadro1 libqtruby4shared2 libreoffice-core pE: Sub-process /usr/bin/dpkg returned an error code (1) Не удалось установить пакет. Попытка восстановить: dpkg: зависимости пакетов не позволяют настроить пакет phonon-backend-vlc:amd64: phonon-backend-vlc:amd64 зависит от libqtgui4 (>= 4:4.6.0), однако: Пакет libqtgui4:amd64 пока не настроен.

Как бы логи подробнее включить и увидеть, что именно fontconfig не нравиться????

установлена версия fontconfig 2.11.0-2

удалял и ручками ставил 2.9.0-7.1 непомогает

stason ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.